Subject: Linux pcf8574 driver based MPC8349EA

From: xuemingmin <[email-masked]>
Date: Wed, 20 May 2009 22:44:48 +0800 (CST)

Recently , I'm busy with a project based on the main board - MPC8349EA. We use a pcf8574 connected I2C bus. Now my task is programming to test I2C bus. I find that file system contains the chip(pcf8574) module .And I add this module into the kernel. But I find that system only registers the driver,not device.And I can not get the device's major and minor device number. Therefore, I can not create the device file to operate the device.
My question:
 How can I use the device which is not registered in the system,or can you provide some advices to complete the task.